<?php

/**
 * @package     Joomla.Site
 * @subpackage  com_contact
 *
 * @copyright   (C) 2009 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\Component\Content\Site\Helper\RouteHelper;

$direction = Factory::getLanguage()->isRtl() ? 'left' : 'right';

?>
<?php if ($this->params->get('show_articles')) : ?>
<div class="com-contact__articles contact-articles" itemscope itemtype="http://schema.org/Article">
    <?php foreach ($this->item->articles as $article) : ?>
        <div class="contact-article">
            <time class="article-date" datetime="<?php echo HTMLHelper::_('date', $article->publish_up, 'c'); ?>" itemprop="datePublished">
                <?php echo Text::sprintf(HTMLHelper::_('date', $article->publish_up, Text::_('DATE_FORMAT_LC3'))); ?>
            </time>

            <h3 class="article-title" itemprop="name">
                <?php echo HTMLHelper::_('link', Route::_(RouteHelper::getArticleRoute($article->slug, $article->catid, $article->language)), $this->escape($article->title)); ?>
            </h3>

            <a class="btn btn-secondary" href="/<?php echo Route::_(RouteHelper::getArticleRoute($article->slug, $article->catid, $article->language)); ?>" aria-label="<?php echo Text::sprintf('JGLOBAL_READ_MORE_TITLE', $this->escape($article->title)); ?>">
            <?php echo '<span class="icon-chevron-' . $direction . '" aria-hidden="true"></span>'; ?>
            <?php echo Text::_('AUTHOR_READ_MORE'); ?>
            </a>
        </div>
    <?php endforeach; ?>
</div>
<?php endif; ?>
